import {
  usePromotion
} from "./chunk-MR6REQKT.js";
import "./chunk-RHKRREUU.js";
import "./chunk-ZA2KFUFR.js";
import "./chunk-DTGEFKK4.js";
import "./chunk-NBMM2TZK.js";

// src/pages/promotions/[id]/breadcrumb.tsx
import { useLinkQuery } from "@mercurjs/dashboard-shared";
import { jsx } from "react/jsx-runtime";
var Breadcrumb = (props) => {
  const { id } = props.params || {};
  const linkQuery = useLinkQuery("promotion", "+status");
  const { promotion } = usePromotion(id, linkQuery, {
    initialData: props.data,
    enabled: Boolean(id)
  });
  if (!promotion) return null;
  return /* @__PURE__ */ jsx("span", { children: promotion.code });
};
export {
  Breadcrumb
};
